Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.algorithms.optimization
Interface Function

All Known Implementing Classes:
  AbstractMultiThreadedOptimizableFunction, AbstractOptimizableFunction, CompositeLogPrior, DifferentiableFunction, DoesNothingLogPrior, LogGenDisMixFunction, LogPrior, NegativeDifferentiableFunction, NegativeFunction, NegativeOneDimensionalFunction, NumericalDifferentiableFunction, OneDimensionalFunction, OneDimensionalSubFunction, OneSampleLogGenDisMixFunction, OptimizableFunction, QuadraticFunction, SeparateGaussianLogPrior, SeparateLaplaceLogPrior, SeparateLogPrior, SFBasedOptimizableFunction, SimpleGaussianSumLogPrior

    public interface Function

This interface is the framework for any mathematical function `f: R^n -> R`.

Author:
  Jens Keilwagen

Method Summary
`double` | `evaluateFunction(double[] x)` Evaluates the function at a certain vector (in mathematical sense) `x`.
`int` | `getDimensionOfScope()` Returns the dimension of the scope of the `Function`.

Method Detail

### evaluateFunction

    double evaluateFunction(double[] x)
                            throws DimensionException,
                                   EvaluationException

  Evaluates the function at a certain vector (in mathematical sense) `x`.

  Parameters:
    `x` - the current vector
  Returns:
    the evaluation of the function
  Throws:
    `DimensionException` - if `dim(x) != n`, with `f: R^n -> R`
    `EvaluationException` - if there was something wrong during the evaluation of the function

### getDimensionOfScope

    int getDimensionOfScope()

  Returns the dimension of the scope of the `Function`.

  Returns:
    the dimension of the scope: `n` with `f: R^n -> R`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD